> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazondeleteebsvolumesparameters-object.md).

# AmazonDeleteEbsVolumesParameters Object

## Description

Parameters for the Amazon Delete EBS Volumes action.

## Properties

### createEbsSnapshot

Indicates that EBS snapshots should be created for volumes before they are deleted.

Type: [CreateEbsSnapshot](/data-types/createebssnapshot-object.md) object

Required: No

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### daysDetached

Indicates that detach tracking should be used for the volumes.

Type: [DaysDetached](/data-types/daysdetached-object.md) object

Required: No

### isTest

Indicates whether "Test Mode" should be enabled.

Type: `boolean`

Required: No

Default: `false`

### regionNames

Regions to use with the action. Omit (or specify `null`) to include "all regions".

Type: Array of `string`

Required: No

### reportFormat

Format of the final report. Required when `targetType` is `email`.

Type: `string`

Valid Values:

* `email`
* `email-html-attachment`
* `email-csv-attachment`

Required: Conditional

### resourceTagComparison

Comparison to use when identifying volumes by resource tag. Required when `volumeIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### targetEmails

The target email addresses to send the final report.

Type: array of `string`

Required: No

### targetType

Indicates whether a report should be generated with the execution results.

Type: `string`

Valid Values:

* `none`
* `email`

Required: No

Default: `none`

### volumeIdentificationMethod

Method of identifying the EBS volumes.

Type: `string`

Valid Values:

* `all-volumes`
* `by-volume-id`
* `by-resource-tag`

Required: Yes

### volumeIds

Volume IDs of the EBS volumes to backup. Required when `volumeIdentificationMethod` is `by-volume-id`.

Type: Array of `string`

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1",
        "us-east-2"
    ],
    "volumeIdentificationMethod": "by-volume-id",
    "volumeIds": [
        "vol-11111111",
        "vol-22222222"
    ],

    "daysDetached": {
        "NumDays": 7,
        "ResourceTagName": "tagName"
    },
    "createEbsSnapshot": {
        "description": "desc1",
        "snapshotName": "name1",
        "tags": [
            {
                "key": "tagName", 
                "value": "tagValue"
            }
        ]
    },

    "targetType": "email",
    "targetEmails": [
        "foo@example.com"
    ],
    "ReportFormat": "email",

    "isTest": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazondeleteebsvolumesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
